Index: src/main/java/com/tourMate/dao/impl/TransportDaoImpl.java
===================================================================
--- src/main/java/com/tourMate/dao/impl/TransportDaoImpl.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/impl/TransportDaoImpl.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,4 +2,6 @@
 
 import com.tourMate.dao.TransportDao;
+import com.tourMate.dto.RouteListingDto;
+import com.tourMate.dto.TransportDto;
 import com.tourMate.entities.*;
 import jakarta.persistence.EntityManager;
@@ -8,4 +10,5 @@
 import org.springframework.stereotype.Service;
 
+import java.util.Collection;
 import java.util.Date;
 import java.util.List;
@@ -19,5 +22,7 @@
     @Override
     @Transactional
-    public void createTransport(Transport t) {
+    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate) {
+        User u = em.find(User.class, 1);
+        Transport t=new Transport(transportName,carBrand,carType,carManufacturedYear,noPassengers,noBags,EMBG,u,carPlate);
         em.persist(t);
     }
@@ -25,5 +30,6 @@
     @Override
     @Transactional
-    public void deleteTransport(Transport t) {
+    public void deleteTransport(long transportId) {
+        Transport t=getTransportById(transportId);
         em.remove(t);
     }
@@ -35,25 +41,70 @@
 
     @Override
-    public List<Transport> getTransportsByUser(User u) {
-        List<Transport> transports = em.createQuery("select t from Transport t where t.owner = :u or t.owner in :users")
-                .setParameter("u", u)
-                .setParameter("users", u.getConnectedAccounts())
-                .getResultList();
-        return transports;
-    }
-
-    @Override
-    public List<TransportAvailible> getRoutesForTransport(Transport t) {
+    public List<TransportDto> getTransportsByUser(long userId) {
+        User u = em.find(User.class, userId);
+        List<Transport> transports = em.createQuery("select t from Transport t where t.owner = :u").setParameter("u", u).getResultList();
+        return transports.stream().map(x -> new TransportDto(
+                x.getTransportID(),
+                x.getTransportName(),
+                x.getCarBrand(),
+                x.getCarType(),
+                x.getCarManufacturedYear(),
+                x.getNoPassengers(),
+                x.getNoBags(),
+                x.getEMBG(),
+                x.getOwner(),
+                x.getCarPlate(),
+                x.getAvailableRoutes().stream().map(y -> new RouteListingDto(
+                        y.getTransportAvailibleId(),
+                        y.getFrom(),
+                        y.getTo(),
+                        y.getDate(),
+                        y.getFreeSpace(),
+                        y.getTime(),
+                        y.getRoutes()
+                )).toList()
+        )).toList();
+    }
+
+    @Override
+    public List<RouteListingDto> getRoutesForTransport(long transportId) {
+        Transport t = em.find(Transport.class, transportId);
         List<TransportAvailible> transportsAvailible = em.createQuery("select ta from TransportAvailible ta where ta.transport = :transport").setParameter("transport", t).getResultList();
-        return transportsAvailible;
-    }
-
-    @Override
-    public Transport findTransportById(long transportId) {
+        return transportsAvailible.stream().map(x -> new RouteListingDto(
+                x.getTransportAvailibleId(),
+                x.getFrom(),
+                x.getTo(),
+                x.getDate(),
+                x.getFreeSpace(),
+                x.getTime(),
+                x.getRoutes()
+        )).toList();
+    }
+
+    @Override
+    public TransportDto findTransportById(long transportId) {
         Transport x = em.find(Transport.class,transportId);
-        return x;
-    }
-
-    @Override
+        return new TransportDto(
+                x.getTransportID(),
+                x.getTransportName(),
+                x.getCarBrand(),
+                x.getCarType(),
+                x.getCarManufacturedYear(),
+                x.getNoPassengers(),
+                x.getNoBags(),
+                x.getEMBG(),
+                x.getOwner(),
+                x.getCarPlate(),
+                x.getAvailableRoutes().stream().map(y -> new RouteListingDto(
+                        y.getTransportAvailibleId(),
+                        y.getFrom(),
+                        y.getTo(),
+                        y.getDate(),
+                        y.getFreeSpace(),
+                        y.getTime(),
+                        y.getRoutes()
+                )).toList());
+    }
+
     public Transport getTransportById(long transportId)
     {
@@ -63,5 +114,15 @@
     @Override
     @Transactional
-    public void editTransport(Transport t) {
+    public void editTransport(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate) {
+        Transport t=getTransportById(transportID);
+        t.setTransportName(transportName);
+        t.setCarBrand(carBrand);
+        t.setCarType(carType);
+        t.setCarManufacturedYear(carManufacturedYear);
+        t.setNoPassengers(noPassengers);
+        t.setNoBags(noBags);
+        t.setEMBG(EMBG);
+        t.setOwner(owner);
+        t.setCarPlate(carPlate);
         em.persist(t);
     }
@@ -69,6 +130,7 @@
     @Override
     @Transactional
-    public void createTransportReservation(TransportReservation transportReservation) {
-        em.persist(transportReservation);
+    public void createTransportReservation(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour) {
+        TransportReservation tr=new TransportReservation(transport,departureLocation,arrivalLocation,date,noSeats,user,departureHour);
+        em.persist(tr);
     }
 
@@ -89,11 +151,8 @@
 
     @Override
-    public List<TransportRoute> getTransportsAvailableByFilters(String fromL, String toL, Date date, int numPassengers) {
+    public List<TransportRoute> getTransportsAvailableByFilters(String fromL, String toL, Date date) {
         System.out.println(fromL + " " + toL);
-        return em.createQuery("select h from TransportRoute h where h.from = :froml and h.to = :tol and h.freeSpace >= :nump")
-                .setParameter("froml", fromL)
-                .setParameter("tol", toL)
-                .setParameter("nump", numPassengers)
-                .getResultList();
+        return em.createQuery("select h from TransportRoute h where h.from = :froml and h.to = :tol").setParameter("froml", fromL).
+                setParameter("tol", toL).getResultList();
     }
 
@@ -110,11 +169,37 @@
     @Override
     @Transactional
-    public void createTransportAvailable(TransportAvailible ta) {
+    public void createTransportAvailable(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour, Collection<TransportRoute> routes) {
+        TransportAvailible ta=new TransportAvailible(transport,departureLocation,arrivalLocation,date,noSeats,departureHour);
         em.persist(ta);
-
-    }
-
-    @Override
-    public void editTransportAvailable(TransportAvailible ta) {
+        List<TransportRoute> routes1 = routes.stream().toList();
+        routes.forEach(x -> {
+            createTransportRoute(ta, x.getFrom(), x.getTo(), x.getPrice(), x.getDeparture(), x.getArrival(), x.getFreeSpace(), x.getOrder());
+        });
+    }
+
+    @Override
+    @Transactional
+    public void editTransportReservation(Transport transport, long reservationID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour)
+    {
+        TransportReservation tr=findTransportReservationByID(reservationID);
+        tr.setTransport(transport);
+        tr.setDepartureLocation(departureLocation);
+        tr.setArrivalLocation(arrivalLocation);
+        tr.setDate(date);
+        tr.setNoSeats(noSeats);
+        tr.setUser(user);
+        tr.setDepartureHour(departureHour);
+        em.persist(tr);
+    }
+
+    @Override
+    public void editTransportAvailable(Transport transport, long availableID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour) {
+        TransportAvailible ta=findTransportAvailableByID(availableID);
+        ta.setTransport(transport);
+        ta.setFrom(departureLocation);
+        ta.setTo(arrivalLocation);
+        ta.setDate(date);
+        ta.setFreeSpace(noSeats);
+        ta.setTime(departureHour);
         em.persist(ta);
     }
@@ -126,36 +211,7 @@
 
     @Override
-    public List<Reviews> getReviewsForTransport(Transport transport) {
-        return em.createQuery("select r from Reviews r where r.transport = :transport")
-                .setParameter("transport", transport)
-                .getResultList();
-    }
-
-    @Override
-    public List<TransportReservation> findPastReservationByUser(User user) {
-        return em.createQuery("SELECT r from TransportReservation r where r.user = :user and r.transportRoute.arrival <= now()")
-                .setParameter("user", user)
-                .getResultList();
-
-    }
-
-    @Transactional
-    @Override
-    public void saveReservation(TransportReservation transportReservation) {
-        em.persist(transportReservation);
-    }
-
-    @Override
-    public List<TransportReservation> findReservationByUser(User user) {
-        return em.createQuery("SELECT r from TransportReservation r where r.user = :user and r.transportRoute.arrival >= now()")
-                .setParameter("user", user)
-                .getResultList();
-
-    }
-
-
-    @Override
-    @Transactional
-    public void deleteTransportReservation(TransportReservation tr) {
+    @Transactional
+    public void deleteTransportReservation(long reservationID) {
+        TransportReservation tr=findTransportReservationByID(reservationID);
         em.remove(tr);
     }
@@ -163,32 +219,34 @@
     @Override
     @Transactional
-    public void deleteTransportAvailable(TransportAvailible ta) {
+    public void deleteTransportAvailable(long availableID) {
+        TransportAvailible ta=findTransportAvailableByID(availableID);
         em.remove(ta);
     }
 
     @Override
-    @Transactional
-    public void createTransportRoute(TransportRoute tr) {
-        em.persist(tr);
-    }
-
-    @Override
-    public void deleteTransportRoute(TransportRoute tr) {
+    public void createTransportRoute(TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order) {
+        TransportRoute tr = new TransportRoute(parentRoute, from, to, price, departure, arrival, freeSpace, order);
+        em.persist(tr);
+    }
+
+    @Override
+    public void deleteTransportRoute(long transportRouteId) {
+        TransportRoute tr = findTransportRouteById(transportRouteId);
         em.remove(tr);
     }
 
     @Override
-    public void editTransportRoute(TransportRoute tr) {
-        em.persist(tr);
-
-    }
-
-    @Override
-    public List<TransportReservation> findTransportReservationByTransportId(Transport t) {
-        return em.createQuery("SELECT tr from TransportReservation tr where tr.transportRoute.parentRoute.transport= :transport")
-                .setParameter("transport", t)
-                .getResultList();
-    }
-
-
+    public void editTransportRoute(long transportRouteId, TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order) {
+        TransportRoute tr = findTransportRouteById(transportRouteId);
+        tr.setParentRoute(parentRoute);
+        tr.setFrom(from);
+        tr.setTo(to);
+        tr.setPrice(price);
+        tr.setDeparture(departure);
+        tr.setArrival(arrival);
+        tr.setFreeSpace(freeSpace);
+        tr.setOrder(order);
+        em.persist(tr);
+
+    }
 }
Index: src/main/java/com/tourMate/dao/impl/UsersDaoImpl.java
===================================================================
--- src/main/java/com/tourMate/dao/impl/UsersDaoImpl.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/impl/UsersDaoImpl.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,40 +4,31 @@
 import com.tourMate.entities.Role;
 import com.tourMate.entities.User;
-import com.tourMate.events.OnProfileEnabledEvent;
-import com.tourMate.events.OnRegistrationSuccessEvent;
 import jakarta.persistence.EntityManager;
 import jakarta.persistence.PersistenceContext;
 import jakarta.transaction.Transactional;
+import org.jetbrains.annotations.NotNull;
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.context.ApplicationEventPublisher;
 import org.springframework.security.core.userdetails.UserDetails;
 import org.springframework.security.crypto.password.PasswordEncoder;
-import org.springframework.stereotype.Repository;
+import org.springframework.stereotype.Service;
 
 import java.util.Date;
 import java.util.List;
 
-@Repository
+@Service
 public class UsersDaoImpl implements UsersDao {
 
     @PersistenceContext
     EntityManager em;
+
     @Autowired
     PasswordEncoder passwordEncoder;
-    @Autowired
-    private ApplicationEventPublisher eventPublisher;
 
     @Transactional
     @Override
     public void createUser(String name, String surname, String email, Date birthDate, String address, String contact) {
-        Role r = em.find(Role.class, 2);
+        Role r = em.find(Role.class, 1);
         User user = new User(name, surname, email, passwordEncoder.encode("password"), birthDate, address, contact, r);
-        user.setProvider("local");
-        user.setLocked(true);
         em.persist(user);
-        if(user.getProvider().equals("local"))
-        {
-            eventPublisher.publishEvent(new OnRegistrationSuccessEvent(user));
-        }
     }
 
@@ -83,62 +74,5 @@
     }
 
-    @Override
-    public List<User> getUnapprovedUsers() {
-        return em.createQuery("select u from User u where not u.enabled").getResultList();
-    }
 
-    @Override
-    @Transactional
-    public void approveUserProfile(User u) {
-        u.setEnabled(true);
-        em.persist(u);
-        eventPublisher.publishEvent(new OnProfileEnabledEvent(u));
-    }
 
-    @Override
-    public Role findById(Long id) {
-        return em.find(Role.class, id);
-    }
-
-    @Override
-    @Transactional
-    public User updateUser(User s) {
-        em.persist(s);
-        return s;
-    }
-
-    @Override
-    public User findByUsernameAndProvider(String username, String providers)
-    {
-        try
-        {
-            return (User) em.createQuery("select u from User u where u.email = :username and u.provider = :provider")
-                    .setParameter("username", username)
-                    .setParameter("provider", providers)
-                    .getSingleResult();
-        }
-        catch (Exception ex)
-        {
-            return null;
-        }
-    }
-
-    @Override
-    @Transactional
-    public User mergeUser(User user) {
-        return em.merge(user);
-    }
-
-    @Override
-    public List<User> getAdmins() {
-        return em.createQuery("select u from User u where u.role.roleName = 'SUPERADMIN'")
-                .getResultList();
-    }
-
-    @Override
-    public List<User> findConnectedAccountsByUser(User u) {
-        return em.createQuery("select u.connectedAccounts from User u where u = :user")
-                .setParameter("user", u)
-                .getResultList();
-    }
 }
Index: src/main/java/com/tourMate/dto/HotelDto.java
===================================================================
--- src/main/java/com/tourMate/dto/HotelDto.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dto/HotelDto.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,7 @@
 package com.tourMate.dto;
 
-import com.tourMate.entities.*;
+import com.tourMate.entities.HotelRoom;
+import com.tourMate.entities.HotelRoomAvailable;
+import com.tourMate.entities.User;
 
 import java.util.ArrayList;
@@ -18,10 +20,6 @@
     private double totalPrice;
     private List<HotelRoomAvailable> hotelRooms;
-    private List<Reviews> hotelReviews;
-    private double averageScore;
-    private List<HotelsImages> images;
-    private Boolean promoted;
-    private Boolean marketed;
-    public HotelDto(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable, double totalPrice, List<HotelRoomAvailable> hotelRooms, List<Reviews> hotelReviews, double averageScore, List<HotelsImages> images, Boolean promoted, Boolean marketed) {
+
+    public HotelDto(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable, double totalPrice, List<HotelRoomAvailable> hotelRooms) {
         this.hotelId = hotelId;
         this.hotelName = hotelName;
@@ -34,9 +32,4 @@
         this.totalPrice = totalPrice;
         this.hotelRooms = hotelRooms;
-        this.hotelReviews = hotelReviews;
-        this.averageScore = averageScore;
-        this.images = images;
-        this.promoted = promoted;
-        this.marketed = marketed;
     }
 
@@ -120,42 +113,3 @@
         this.hotelRooms = hotelRooms;
     }
-    public List<Reviews> getHotelReviews() {
-        return hotelReviews;
-    }
-
-    public double getAverageScore() {
-        return averageScore;
-    }
-
-    public List<HotelsImages> getImages() {
-        return images;
-    }
-
-    public void setImages(List<HotelsImages> images) {
-        this.images = images;
-    }
-
-    public void setHotelReviews(List<Reviews> hotelReviews) {
-        this.hotelReviews = hotelReviews;
-    }
-
-    public void setAverageScore(double averageScore) {
-        this.averageScore = averageScore;
-    }
-
-    public Boolean getPromoted() {
-        return promoted;
-    }
-
-    public void setPromoted(Boolean promoted) {
-        this.promoted = promoted;
-    }
-
-    public Boolean getMarketed() {
-        return marketed;
-    }
-
-    public void setMarketed(Boolean marketed) {
-        this.marketed = marketed;
-    }
 }
Index: src/main/java/com/tourMate/dto/RestaurantDto.java
===================================================================
--- src/main/java/com/tourMate/dto/RestaurantDto.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dto/RestaurantDto.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,9 +1,10 @@
 package com.tourMate.dto;
 
-import com.tourMate.entities.*;
+import com.tourMate.entities.Menu;
+import com.tourMate.entities.RestaurantsTable;
+import com.tourMate.entities.User;
 
 import java.util.ArrayList;
 import java.util.Collection;
-import java.util.List;
 
 public class RestaurantDto {
@@ -15,11 +16,7 @@
     private String restaurantEdbs;
     private Collection<Menu> menus = new ArrayList<Menu>();
-    private Collection<MenuImages> menuImages;
-    private Collection<RestaurantsAvailible> tables;
-    private Collection<Reviews> reviews;
-    private double averageScore;
-    private Collection<RestaurantImages> images;
+    private Collection<RestaurantsTable> tables;
 
-    public RestaurantDto(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, Collection<Menu> menus, Collection<RestaurantsAvailible> tables, Collection<Reviews> reviews, double averageScore, Collection<RestaurantImages> images, Collection<MenuImages> menuImages) {
+    public RestaurantDto(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, Collection<Menu> menus, Collection<RestaurantsTable> tables) {
         this.restaurantID = restaurantID;
         this.restaurantName = restaurantName;
@@ -30,11 +27,4 @@
         this.menus = menus;
         this.tables = tables;
-        this.reviews = reviews;
-        this.averageScore = averageScore;
-        this.images = images;
-        this.menuImages = menuImages;
-    }
-    public Collection<MenuImages> getMenuImages() {
-        return menuImages;
     }
 
@@ -95,35 +85,10 @@
     }
 
-    public Collection<RestaurantsAvailible> getTables() {
+    public Collection<RestaurantsTable> getTables() {
         return tables;
     }
 
-    public void setTables(Collection<RestaurantsAvailible> tables) {
+    public void setTables(Collection<RestaurantsTable> tables) {
         this.tables = tables;
     }
-
-    public Collection<Reviews> getReviews() {
-        return reviews;
-    }
-
-    public void setReviews(Collection<Reviews> reviews) {
-        this.reviews = reviews;
-    }
-
-    public double getAverageScore() {
-        return averageScore;
-    }
-
-    public void setAverageScore(double averageScore) {
-        this.averageScore = averageScore;
-    }
-
-    public Collection<RestaurantImages> getImages() {
-        return images;
-    }
-
-    public void setImages(Collection<RestaurantImages> images) {
-        this.images = images;
-    }
-
 }
Index: src/main/java/com/tourMate/dto/RouteListingDto.java
===================================================================
--- src/main/java/com/tourMate/dto/RouteListingDto.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dto/RouteListingDto.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -18,7 +18,6 @@
     private Date time;
     private Collection<String> routes;
-    private Double maxPrice;
 
-    public RouteListingDto(long transportAvailibleId, String from, String to, Date date, int freeSpace, Date time, Collection<TransportRoute> routes, Double maxPrice) {
+    public RouteListingDto(long transportAvailibleId, String from, String to, Date date, int freeSpace, Date time, Collection<TransportRoute> routes) {
         this.transportAvailibleId = transportAvailibleId;
         this.from = from;
@@ -28,5 +27,4 @@
         this.time = time;
         this.routes = routes.stream().map(x -> x.getFrom()).distinct().skip(1).toList();
-        this.maxPrice = maxPrice;
     }
 
@@ -86,7 +84,3 @@
         this.routes = routes;
     }
-
-    public Double getMaxPrice() {
-        return maxPrice;
-    }
 }
Index: src/main/java/com/tourMate/dto/TransportDto.java
===================================================================
--- src/main/java/com/tourMate/dto/TransportDto.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dto/TransportDto.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -16,8 +16,7 @@
     private User owner;
     private String carPlate;
-    private Double maxPrice;
     private Collection<RouteListingDto> availableRoutes;
 
-    public TransportDto(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate, Collection<RouteListingDto> availableRoutes, Double maxPrice) {
+    public TransportDto(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate, Collection<RouteListingDto> availableRoutes) {
         this.transportID = transportID;
         this.transportName = transportName;
@@ -31,5 +30,4 @@
         this.carPlate = carPlate;
         this.availableRoutes = availableRoutes;
-        this.maxPrice = maxPrice;
     }
 
Index: src/main/java/com/tourMate/dto/TransportListingDto.java
===================================================================
--- src/main/java/com/tourMate/dto/TransportListingDto.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dto/TransportListingDto.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,4 @@
 package com.tourMate.dto;
 
-import com.tourMate.entities.Reviews;
 import com.tourMate.entities.Transport;
 import com.tourMate.entities.TransportRoute;
@@ -17,10 +16,12 @@
     private double price;
     private Collection<String> routes;
-    private Collection<TransportRoute> transportRoutes;
     private Collection<Date> times;
     private Transport transport;
-    private Collection<Reviews> reviews;
-    private double averageScore;
-    public TransportListingDto(long transportAvailibleId, String from, String to, Date date, int freeSpace, Date time, double price, Collection<TransportRoute> routes, Transport transport, Collection<Reviews> reviews, double averageScore) {
+
+    public Collection<Date> getTimes() {
+        return times;
+    }
+
+    public TransportListingDto(long transportAvailibleId, String from, String to, Date date, int freeSpace, Date time, double price, Collection<TransportRoute> routes, Transport transport) {
         this.transportAvailibleId = transportAvailibleId;
         this.from = from;
@@ -33,7 +34,4 @@
         this.times = routes.stream().map(x -> x.getArrival()).distinct().skip(1).toList();
         this.transport = transport;
-        this.transportRoutes = routes;
-        this.reviews = reviews;
-        this.averageScore = averageScore;
     }
 
@@ -109,27 +107,3 @@
         this.transport = transport;
     }
-
-    public Collection<TransportRoute> getTransportRoutes() {
-        return transportRoutes;
-    }
-
-    public void setTransportRoutes(Collection<TransportRoute> transportRoutes) {
-        this.transportRoutes = transportRoutes;
-    }
-
-    public void setTimes(Collection<Date> times) {
-        this.times = times;
-    }
-
-    public Collection<Date> getTimes() {
-        return times;
-    }
-
-    public Collection<Reviews> getReviews() {
-        return reviews;
-    }
-
-    public double getAverageScore() {
-        return averageScore;
-    }
 }
Index: src/main/java/com/tourMate/entities/Business.java
===================================================================
--- src/main/java/com/tourMate/entities/Business.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/Business.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -88,5 +88,5 @@
     }
 
-    @OneToOne(fetch = FetchType.EAGER)
+    @OneToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "owner_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_biznis_kon_korisnik"))
     public User getUser() {
@@ -107,4 +107,3 @@
         this.approved = approved;
     }
-
 }
Index: src/main/java/com/tourMate/entities/HotelRoom.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoom.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/HotelRoom.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -5,5 +5,4 @@
 
 import javax.validation.constraints.NotNull;
-import java.util.List;
 
 @Entity
@@ -17,11 +16,9 @@
     private String hotelRoomName;
     private double price;
-    private int numOfBeds;
     private Boolean kitchenAvailable;
     private Boolean airConditioning;
     private Boolean balcony;
-    private List<HotelRoomImages> images;
 
-    public HotelRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, double price, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, int numOfBeds) {
+    public HotelRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, double price, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony) {
         this.hotelRoomId = hotelRoomId;
         this.hotel = hotel;
@@ -32,9 +29,8 @@
         this.airConditioning = airConditioning;
         this.balcony = balcony;
-        this.numOfBeds = numOfBeds;
     }
 
     public HotelRoom(Hotels hotel, String hotelRoomDescription, String type,
-                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price, int numOfBeds) {
+                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
         this.hotel = hotel;
         this.hotelRoomDescription = hotelRoomDescription;
@@ -44,9 +40,8 @@
         this.balcony = balcony;
         this.price = price;
-        this.numOfBeds = numOfBeds;
     }
 
     public HotelRoom(String hotelRoomDescription, String type,
-                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price, int numOfBeds) {
+                     Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price) {
         this.hotel = hotel;
         this.hotelRoomDescription = hotelRoomDescription;
@@ -56,5 +51,4 @@
         this.balcony = balcony;
         this.price = price;
-        this.numOfBeds = numOfBeds;
     }
 
@@ -74,5 +68,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "hotel_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_room_kon_hotel"))
     public Hotels getHotel() {
@@ -140,21 +134,3 @@
         this.balcony = balcony;
     }
-
-    @Column(name = "hotel_room_num_beds", unique = false)
-    public int getNumOfBeds() {
-        return numOfBeds;
-    }
-
-    public void setNumOfBeds(int numOfBeds) {
-        this.numOfBeds = numOfBeds;
-    }
-
-    @OneToMany(mappedBy = "room")
-    public List<HotelRoomImages> getImages() {
-        return images;
-    }
-
-    public void setImages(List<HotelRoomImages> images) {
-        this.images = images;
-    }
 }
Index: src/main/java/com/tourMate/entities/HotelRoomImages.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoomImages.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/HotelRoomImages.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,4 @@
 package com.tourMate.entities;
 
-import com.fasterxml.jackson.annotation.JsonIgnore;
 import jakarta.persistence.*;
 import org.jetbrains.annotations.NotNull;
@@ -9,16 +8,6 @@
 public class HotelRoomImages {
     private long imageID;
-    @JsonIgnore
     private HotelRoom room;
     private String url;
-
-    public HotelRoomImages(HotelRoom room, String url) {
-        this.room = room;
-        this.url = url;
-    }
-
-    public HotelRoomImages() {
-
-    }
 
     @Id
